﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using HeuristicLab.Common;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Services.Hive.Common.DataTransfer {
  [DataContract]
  [Serializable]
  public abstract class HiveItem : HiveItemBase {
    [DataMember]
    public Guid Id { get; set; }

    public HiveItem() { }
    protected HiveItem(HiveItem original, Cloner cloner) : base(original, cloner) {
      this.Id = original.Id;
    }
  }
}
